My chrome deos not automatically update my code gives error in console

Hello,
I have created a new project with frontity but the browser does not automatically update the code I write in the editor.

Console: Uncaught TypeError: fixRegExpWellKnownSymbolLogic is not a function
and without refresh the updates does not load.
I have created new projects several times and every time I see this error

I had same trouble. I think there might be an error in some newly released frontity/@frontity/core. I downgraded frontity to 1.15 version and frontity/core to 1.13.0 and everything works again…

thanks, tried but didn’t work.

Hi @moh.meh41,

Welcome to the Community!

Can you please provide a repo or code-sandbox with your code? This is especially helpful to find solutions to technical issues with specific code

Detailing the info suggested here when having issues will help the community to provide the best possible help as quickly and as efficiently as possible.

I am almost sure that problem is with newest @frontity/[email protected] I cloned repo from frontity tutorial GitHub - frontity-demos/tutorial-hello-frontity. Then I installed fresh frontity locally and when ran there was exact same error. The problem was also with my own project, and mars theme.

Uncaught TypeError: fixRegExpWellKnownSymbolLogic is not a function <anonymous> es.string.match.js:10 js hello-frontity.module.js:3481 __webpack_require__ hello-frontity.module.js:790 fn hello-frontity.module.js:101 <anonymous> engine-v8-version.js:1 js hello-frontity.module.js:2279 __webpack_require__ hello-frontity.module.js:790 fn hello-frontity.module.js:101 <anonymous> native-symbol.js:2 js hello-frontity.module.js:2644 __webpack_require__ hello-frontity.module.js:790 fn hello-frontity.module.js:101 <anonymous> well-known-symbol.js:5 js hello-frontity.module.js:3269 __webpack_require__ hello-frontity.module.js:790 fn hello-frontity.module.js:101 <anonymous> is-regexp.js:3 js hello-frontity.module.js:2566 __webpack_require__ hello-frontity.module.js:790 fn hello-frontity.module.js:101 <anonymous> es.string.split.js:3 js hello-frontity.module.js:3517 __webpack_require__ hello-frontity.module.js:790 fn hello-frontity.module.js:101 <anonymous> redefine.js:1 js hello-frontity.module.js:2889 __webpack_require__ hello-frontity.module.js:790 fn hello-frontity.module.js:101 <anonymous> es.regexp.to-string.js:2 js hello-frontity.module.js:3433 __webpack_require__ hello-frontity.module.js:790 fn hello-frontity.module.js:101 <anonymous> to-primitive.js:1 js hello-frontity.module.js:3191 __webpack_require__ hello-frontity.module.js:790 fn hello-frontity.module.js:101 <anonymous> object-define-property.js:4 js hello-frontity.module.js:2734 __webpack_require__ hello-frontity.module.js:790 fn hello-frontity.module.js:101 <anonymous> es.regexp.constructor.js:5 js hello-frontity.module.js:3398 __webpack_require__ hello-frontity.module.js:790 fn hello-frontity.module.js:101 <anonymous> fix-regexp-well-known-symbol-logic.js:2 js hello-frontity.module.js:2324 __webpack_require__ hello-frontity.module.js:790 fn hello-frontity.module.js:101 <anonymous> es.string.replace.js:2 js hello-frontity.module.js:3493 __webpack_require__ hello-frontity.module.js:790 fn hello-frontity.module.js:101 <anonymous> client.js:1 <anonymous> client.js:12 js hello-frontity.module.js:4410 __webpack_require__ hello-frontity.module.js:790 fn hello-frontity.module.js:101 0 hello-frontity.module.js:4562 __webpack_require__ hello-frontity.module.js:790 <anonymous> hello-frontity.module.js:857 <anonymous> hello-frontity.module.js:860 es.string.match.js:10:30
After downgrading to @frontity/core1.14.0 error dissapeared…

HI @gajorro and @moh.meh41,

I have created a new project with npx frontity create and I don’t get that error
I’ve also updated GitHub - frontity-demos/tutorial-hello-frontity: Final version of the project explained at tutorial,frontity.org with the latest version of the packages and it works fine

You can see how the latest versions of the frontity packages is working fine in the following projects:

To update ALL the version of the frontity packages to their latest versions I recommend you to follow the following guide


If you can provide a repo or code-sandbox with your code it will be easier for the community to help you any technical issues in your specific code

I am sorry I didn’t say Hi… I started playing with Frontity some time ago and i loved it. I am planning to use it on my company new website.

Thank you @juanma for your test, but I still got same error when run npx frontity create in clean directory with frontity/core1.14.1 and mars-theme :frowning:
Maybe it’s Os or Node or core-js version related? Or maybe i am doing something wrong :pensive:
This error cost me a lot of frustration past weekend so i keep digging :wink:

Here are outputs from my cli npx frontity info, for this config with clean mars-theme I got fixRegExpWellKnownSymbolLogic error :

## System:
 - OS: Windows 10 10.0.19041
 - CPU: (8) ia32 Intel(R) Core(TM) i7-2600K CPU @ 3.40GHz
 - Memory: 1.49 GB / 15.96 GB
## Binaries:
 - Node: 16.2.0 - C:\Program Files (x86)\nodejs\node.EXE
 - npm: 7.6.3 - ~\AppData\Roaming\npm\npm.CMD
## Browsers:
 - Chrome: 90.0.4430.212
 - Edge: Spartan (44.19041.964.0), Chromium (91.0.864.37)
 - Internet Explorer: 11.0.19041.1
## npmPackages:
 - @frontity/core: ^1.14.1 => 1.14.1
 - @frontity/html2react: ^1.7.0 => 1.7.0
 - @frontity/mars-theme: ./packages/mars-theme => 1.5.2
 - @frontity/tiny-router: ^1.4.2 => 1.4.2
 - @frontity/wp-source: ^1.11.5 => 1.11.5
 - frontity: ^1.16.0 => 1.16.0
## npmGlobalPackages:
 - frontity: Not Found
 - npx: Not Found

and when I downgraded to:
@frontity/core: ^1.14.0 => 1.14.0

Error magically dissapeared… Maybe someone could also reproduce this error on Windows?

1 Like

@David I haven’t been able to reproduce this issue (maybe it’s a Windows issue as I’m reproducing it in. Mac) but it seems to be happening to some users

Can you please have a look at it to check if there’s a bug to be fixed here?

1 Like

I am facing this problem in windows and really shocked why I am getting this error,
cloned the frontity/packages/twentytwenty-theme at dev · frontity/frontity · GitHub but again getting the same error.

can you please tell me how to downgrade the @frontity/core

hi, @juanma and thanks a lot
here is the project repo:
GitHub - mehmoh41/frontity

and the errors I get in my console errors:
es.string.match.js?466d:10 Uncaught TypeError: fixRegExpWellKnownSymbolLogic is not a function
at eval (es.string.match.js?466d:10)
at Object…/node_modules/core-js/modules/es.string.match.js (new-project.module.js:3643)
at webpack_require (new-project.module.js:833)
at fn (new-project.module.js:130)
at eval (engine-v8-version.js:1)
at Object…/node_modules/core-js/internals/engine-v8-version.js (new-project.module.js:2441)
at webpack_require (new-project.module.js:833)
at fn (new-project.module.js:130)
at eval (native-symbol.js?4930:2)
at Object…/node_modules/core-js/internals/native-symbol.js (new-project.module.js:2806)

For 1.14.0 version of frontity/core I am doing this with:

npm install @frontity/[email protected]

inside the directory with project (I don’t have frontity installed globally). Forgive me if it’s kind of “brutal” solution, but for me it’s working :wink:

1 Like

thanks,
downgrading worked for me
thanks @gajorro

I think there is a problem with core version 1.14.1

1 Like

Sure, I’m taking a look. Thanks @moh.meh41 and @gajorro for reporting the issue. :slightly_smiling_face:

1 Like

I was able to reproduce the error. I’m taking a deeper look. :male_detective:

I think the problem is in this line:

We could be transpiling packages that include core-js in their names, and shouldn’t be transpiled.

Replacing that line back to

 /\bcore-js\b/,

and building the @frontity/core package, it works again.

1 Like

@David Is this a bug that should be fixed in the fronitty package? Shall an issue (or Pull Request) be opened in the » Frontity · GitHub repositoty?

Yup, it’s something we should fix in the @frontity/core package.

What I don’t fully understand is why it fails only on Windows… :thinking:

It seems like my fault. I changed from \b to /, and Windows paths use \. I assumed that paths were converted by Webpack.

I’ve made a quick fix in this branch. @david can you test this on Windows? :slightly_smiling_face:

export const exclude = [
  /(\/|\\)core-js($|(\/|\\))/,
  /(\/|\\)webpack($|(\/|\\))/,
  /(\/|\\)regenerator-runtime($|(\/|\\))/,
];
1 Like

I have made a PR with that branch, including also a fix for the regular expression used to exclude ts-node files.

@santosguillamot, I took the liberty to mark this as critical because it is preventing people from developing with the latest version of Frontity on Windows :slightly_smiling_face:

1 Like